
from setuptools import setup, find_packages
from dhwp.core.version import get_version

VERSION = get_version()

f = open('README.md', 'r')
LONG_DESCRIPTION = f.read()
f.close()

setup(
    name='dhwp',
    version=VERSION,
    description='Dreamhost WP Management Tool',
    long_description=LONG_DESCRIPTION,
    long_description_content_type='text/markdown',
    author='Jordan Tardif',
    author_email='jordan@dreamhost.com',
    url='https://github.com/johndoe/myapp/',
    license='unlicensed',
    packages=find_packages(exclude=['ez_setup', 'tests*']),
    package_data={'dhwp': ['templates/*']},
    include_package_data=True,
    entry_points="""
        [console_scripts]
        dhwp = dhwp.main:main
    """,
)
